
!include ../control/watcomc.ctl

LIBRARY  = $(IO)

!ifdef BUILD_DLL
DLLOPTS = -DBUILD_DLL -bd  -zc
TARGET  = $(LIBRARY).dll
!ifeq YACLPLATFORM WIN32
SYSTEMNAME = nt
!else ifeq YACLPLATFORM OS2
SYSTEMNAME = os2v2
!endif
!else
TARGET  = $(LIBRARY).lib
!endif

# ------------------------ Names of files --------------------------



OBJECTS =  binfile.obj bytstore.obj directry.obj dskbtree.obj pathname.obj slotfile.obj 


all: $(YACLLIB)\$(TARGET)

        
$(YACLLIB)\$(LIBRARY).lib: $(OBJECTS) libfile.tmp
    $(LIBR) /b /p=64 $(IOLIB) @libfile.tmp
    -del libfile.tmp


libfile.tmp: .SYMBOLIC
  %create libfile.tmp
  @for %i in ($(OBJECTS)) do @%append libfile.tmp -+%i
  


!ifeq YACLPLATFORM WIN32	
$(YACLLIB)\$(LIBRARY).dll:  $(OBJECTS) dllfile.tmp 
	wlink @dllfile.tmp
        wlib $(YACLLIB)\$(IO) +$(YACLLIB)\$(IO).dll
        -del dllfile.tmp
        
dllfile.tmp: .SYMBOLIC
  %create dllfile.tmp
  @for %i in ($(OBJECTS)) do @%append dllfile.tmp libfile %i
  @%append dllfile.tmp system $(SYSTEMNAME) dll initinstance terminstance
  @%append dllfile.tmp library $(YACLLIB)\$(BASE).lib
  @%append dllfile.tmp segment type code preload
  @%append dllfile.tmp name $(YACLLIB)\$(IO).dll
!ifdef DEBUG
  @%append dllfile.tmp debug all
!endif


!else ifeq YACLPLATFORM OS2
$(YACLLIB)\$(LIBRARY).dll:  $(OBJECTS) dllfile.tmp 
	wlink @dllfile.tmp
        wlib $(YACLLIB)\$(LIBRARY).lib +$(YACLLIB)\$(LIBRARY).dll
        -del dllfile.tmp

dllfile.tmp: .SYMBOLIC
  %create dllfile.tmp
  @for %i in ($(OBJECTS)) do @%append dllfile.tmp libfile %i
  @%append dllfile.tmp system $(SYSTEMNAME) dll initglobal
  @%append dllfile.tmp option stack=512K
  @%append dllfile.tmp library $(YACLLIB)\$(BASE).lib
  @%append dllfile.tmp segment type code preload
  @%append dllfile.tmp name $(YACLLIB)\$(LIBRARY).dll
!ifdef DEBUG
  @%append dllfile.tmp debug all
!endif


!endif
  

# ---------------------- Compilation rules -----------------------



.cxx.obj:
	$(CC) $(CCOPTS) $(DLLOPTS) $*.cxx
        


# ------------------ Other targets ---------------------------




clean: .SYMBOLIC
	-del *.obj
	-del $(YACLLIB)\$(LIBRARY).lib
	-del $(YACLLIB)\$(LIBRARY).dll
	-del $(YACLLIB)\$(LIBRARY).bak









