


!include ..\control\msvcpp.ctl

LIBRARY  = $(UI)
LIBRARYP = $(YACLLIB)\$(LIBRARY)


# ------------------------ Names of object files --------------------------

OBJECTS =       \
3dlabel.obj     \
applic.obj      \
arc.obj         \
bitmap.obj      \
bmpbtn.obj      \
bmpushbn.obj    \
bmtglbtn.obj    \
brush.obj       \
btngroup.obj    \
canvas.obj      \
chord.obj       \
cntroler.obj    \
color.obj       \
combobox.obj    \
composit.obj    \
containr.obj    \
cursor.obj      \
dateedit.obj    \
dialog.obj      \
dsinmem.obj     \
dsplrsrc.obj    \
dsplsurf.obj    \
dwgsurf.obj     \
ellipse.obj     \
event.obj       \
factory.obj     \
font.obj        \
fontdesc.obj    \
graphic.obj     \
grutils.obj     \
interval.obj    \
label.obj       \
lineseg.obj     \
mainprog.obj    \
menu.obj        \
monthcal.obj    \
numedit.obj     \
orbtngrp.obj    \
pen.obj         \
piewedge.obj    \
point.obj       \
pswdedit.obj    \
pushbtn.obj     \
rectangl.obj    \
scrolbar.obj    \
scrolwin.obj    \
shadolin.obj    \
shadorec.obj    \
shadotrg.obj    \
simple.obj      \
stddlg.obj      \
stencil.obj     \
stred.obj       \
strseq.obj      \
strview.obj     \
textedit.obj    \
timer.obj       \
toglbtn.obj     \
vector.obj      \
visualob.obj    \
vobjcoll.obj    \
xrbtngrp.obj    \
xrtglbtn.obj


STATIC_OBJS      = statui.obj
PLATFORM_OBJECTS = copy.obj dibutil.obj errors.obj \
                   file.obj mdi.obj     printjob.obj winevt.obj




# ---------------------- Compilation rules -----------------------




TARGET = $(LIBRARYP).lib

        
all: $(TARGET) $(STATIC_OBJS)



$(LIBRARYP).lib: $(OBJECTS) $(PLATFORM_OBJECTS) $(STATIC_OBJS)
    $(LIBR) /out:$(TARGET) $(OBJECTS) $(PLATFORM_OBJECTS) $(STATIC_OBJS)
    -$(DELETE) $(LIBRARYP).bak




!ifdef DEBUG
stddlg.obj: support/windows/stddlg.cxx
    $(CC) -DDEBUG -Zi $(CCOPTS) support\windows\$*.cxx

winevt.obj: support/windows/winevt.cxx
    $(CC) -DDEBUG -Zi $(CCOPTS) support\windows\$*.cxx

copy.obj: support/windows/copy.c
    $(CC) -DDEBUG -Zi $(CCOPTS) support\windows\$*.c

errors.obj: support/windows/errors.c
    $(CC) -DDEBUG -Zi $(CCOPTS) support\windows\$*.c

dibutil.obj: support/windows/dibutil.c
    $(CC) -DDEBUG -Zi $(CCOPTS) support\windows\$*.c

file.obj: support/windows/file.c
    $(CC) -DDEBUG -Zi $(CCOPTS) support\windows\$*.c


.cxx.obj:
    $(CC) -DDEBUG -Zi $(CCOPTS) $<
    
.c.obj:
    $(CC) -DDEBUG -Zi $(CCOPTS) $<
    
!else
stddlg.obj: support/windows/stddlg.cxx
    $(CC)  $(CCOPTS) support\windows\$*.cxx

winevt.obj: support/windows/winevt.cxx
    $(CC)  $(CCOPTS) support\windows\$*.cxx

copy.obj: support/windows/copy.c
    $(CC)  $(CCOPTS) support\windows\$*.c

errors.obj: support/windows/errors.c
    $(CC)  $(CCOPTS) support\windows\$*.c

dibutil.obj: support/windows/dibutil.c
    $(CC)  $(CCOPTS) support\windows\$*.c

file.obj: support/windows/file.c
    $(CC)  $(CCOPTS) support\windows\$*.c


.cxx.obj:
    $(CC) $(CCOPTS) $<
    
.c.obj:
    $(CC) $(CCOPTS) $<
    
!endif




# ------------------ Other targets ---------------------------




clean:
    -del *.obj
    -del *.cfg
    -del $(LIBRARYP).lib
    -del $(LIBRARYP).bak






